cURL
curl --request GET \
--url https://api.atlast.co/v1/carriers/dropoffs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atlast.co/v1/carriers/dropoffs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlast.co/v1/carriers/dropoffs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atlast.co/v1/carriers/dropoffs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.atlast.co/v1/carriers/dropoffs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.atlast.co/v1/carriers/dropoffs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.atlast.co/v1/carriers/dropoffs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"carrierType": "EVRI_CORPORATE",
"latitude": 123,
"longitude": 123,
"addressLine1": "<string>",
"postCode": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"city": "<string>",
"openingHours": [
{
"weekDay": "MONDAY",
"openTime": "<string>",
"closeTime": "<string>"
}
]
}
]Carriers
Get Carrier Dropoffs
This endpoint will retrieve dropoffs points and their geo coordinates for supported carriers.
As the data for these changes very slowly, we advise that users of this endpoint cache the results to help reduce the load on our systems.
We cache the results based on the carrier and the postcode, to help with this process, please ensure the postcode is normalised with no spaces and lowercase letters.
Example: AB1 2CD => ab12cd
GET
/
carriers
/
dropoffs
cURL
curl --request GET \
--url https://api.atlast.co/v1/carriers/dropoffs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atlast.co/v1/carriers/dropoffs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlast.co/v1/carriers/dropoffs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atlast.co/v1/carriers/dropoffs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.atlast.co/v1/carriers/dropoffs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.atlast.co/v1/carriers/dropoffs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.atlast.co/v1/carriers/dropoffs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"carrierType": "EVRI_CORPORATE",
"latitude": 123,
"longitude": 123,
"addressLine1": "<string>",
"postCode": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"city": "<string>",
"openingHours": [
{
"weekDay": "MONDAY",
"openTime": "<string>",
"closeTime": "<string>"
}
]
}
]Not all carriers At Last supports can provide PUDO locations.
We currently support YODEL and EVRI.
Authorizations
Query Parameters
Response
200 - application/json
The request has succeeded.